<?php
$fulltextSearch = $this->params()->fromQuery('fulltext_search');
$hasResults = false;
?>
<?php
//$archiveSiteHelper = $this->getHelperPluginManager()->get('archiveSiteMeta');
//$collections = $archiveSiteHelper->getCollections();
?>

<!-- arc-hive insert begins -->
<?php
$img_src = $this->getHelperPluginManager()->get('archiveSiteMeta')->getSiteImage($this->site);
if (!$img_src) {
  //$img_src = '/themes/archive/asset/img/default-header-image.jpg';
  $img_src = $this->assetUrl('img/ARC-HIVE-logo.svg');
}
if ($this->site->title() == "Collections") {
  $image_height = "300px";
} else {
  $image_height = "200px";
}
?>
<style>
#archive_header_img {
   background: url("<?= $img_src ?>") no-repeat;
   width: 100%;
   height: <?= $image_height ?>;
}
</style>
<script>
<?php
  $_html = '<a href="'.$this->site->url().'">'.$this->site->title().'</a>';
?>
$("#archive_page_title").html('<?php echo $_html ?>');
</script>
<!-- arc-hive insert ends -->

<h3 class="search-results-for-title"><?php echo sprintf($this->translate('Search results for “%s”'), $fulltextSearch); ?></h3>


<div class="results">
<?php
if ($this->site->title() == "Collections") {
  /* convert all the results into sites and display the list of sites */
  $result = array();
  if ($responseSitePages && $responseSitePages->getTotalResults()) {
    $hasResults = true;
    foreach ($responseSitePages->getContent() as $sitePage) {
      $site = $sitePage->site();
      array_push($result, $site);
    }
  }
  if ($responseItems && $responseItems->getTotalResults()) {
    $hasResults = true;
    foreach ($responseSitePages->getContent() as $sitePage) {
      $site = $sitePage->site();
      if (!in_array ($site , $result)) {
        array_push($result, $site);
      }
    }
  }
  echo $this->partial('common/block-layout/list-of-sites', [
          'sites' => $result,
          'summaries' => 1,
        ]);
} else {
  /* display the results as normal */
?>

    <?php
    if ($responseSitePages && $responseSitePages->getTotalResults()):
        $hasResults = true;
    ?>
        <?php
          $sitePages = array();
          foreach ($responseSitePages->getContent() as $sitePage) {
            array_push($sitePages, $sitePage);
          }
          echo $this->partial('common/cross-site-search/site-page-results', [
                          'sitePages' => $sitePages,
                        ]);
        ?>
    <?php endif; ?>

    <?php
    if ($responseItems && $responseItems->getTotalResults()):
        $hasResults = true;
    ?>
        <?php
          $items = array();
          foreach ($responseItems->getContent() as $item) {
            array_push($items, $item);
          }
          echo $this->partial('common/cross-site-search/item-results', [
                          'items' => $items,
                        ]);
        ?>
    <?php endif; ?>
<?php } ?>
</div>


<?php if (!$hasResults): ?>
    <p><?php echo $this->translate('No result found'); ?>
<?php endif; ?>
